# Module cargo::util::toml

source ·

## Modules

- embedded 🔒
- schema
- targets 🔒
  This module implements Cargo conventions for directory layout:

## Macros

- inheritable_field_getter 🔒
  Defines simple getter methods for inheritable fields.

## Structs

- Context 🔒

## Constants

- DEFAULT_README_FILES 🔒

## Traits

- ResolveToPath
- WorkspaceInherit
  This Trait exists to make `schema::MaybeWorkspace::Workspace` generic. It makes deserialization of `schema::MaybeWorkspace` much easier, as well as making error messages for `schema::MaybeWorkspace::resolve` much nicer

## Functions

- default_readme_from_package_root 🔒
  Checks if a file with any of the default README file names exists in the package root. If so, returns a `String` representing that name.
- inheritable_from_path 🔒
- is_embedded
  See also `bin/cargo/commands/run.rs`s `is_manifest_command`
- lints_to_rustflags 🔒
- read_manifest
  Loads a `Cargo.toml` from a file on disk.
- read_manifest_from_str 🔒
  Parse an already-loaded `Cargo.toml` as a Cargo manifest.
- readme_for_package 🔒
  Returns the name of the README file for a `schema::TomlPackage`.
- unique_build_targets 🔒
  Checks a list of build targets, and ensures the target names are unique within a vector. If not, the name of the offending build target is returned.
- unused_dep_keys 🔒
- verify_lints 🔒
- warn_on_deprecated 🔒
  Warn about paths that have been deprecated and may conflict.